nifi-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NIFI-1529) hadoop-libraries-nar dependency issue for httpclient and httpcore
Date Thu, 18 Feb 2016 14:59:18 GMT

    [ https://issues.apache.org/jira/browse/NIFI-1529?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15152412#comment-15152412
] 

ASF GitHub Bot commented on NIFI-1529:
--------------------------------------

GitHub user bbende opened a pull request:

    https://github.com/apache/nifi/pull/236

    NIFI-1529 Forcing hadoop-libraries-nar to version 4.2.5 of httpclient…

    … and httpcore since that is what hadoop-client 2.6.2 normally brings in, and also removing
dependencies from the nar pom that should be transitively brought in by hadoop-client
    
    See the JIRA comments for a further description of the issue and solution:
    https://issues.apache.org/jira/browse/NIFI-1529

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/bbende/nifi NIFI-1529

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/nifi/pull/236.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #236
    
----
commit 26a62ceda5943e3d0edb2827ce4f885b50948c50
Author: Bryan Bende <bbende@apache.org>
Date:   2016-02-17T22:10:07Z

    NIFI-1529 Forcing hadoop-libraries-nar to version 4.2.5 of httpclient and httpcore since
that is what hadoop-client 2.6.2 normally brings in, and also removing dependencies from the
nar pom that should be transitively brought in by hadoop-client

----


> hadoop-libraries-nar dependency issue for httpclient and httpcore
> -----------------------------------------------------------------
>
>                 Key: NIFI-1529
>                 URL: https://issues.apache.org/jira/browse/NIFI-1529
>             Project: Apache NiFi
>          Issue Type: Bug
>    Affects Versions: 0.4.0, 0.5.0
>            Reporter: Bryan Bende
>            Assignee: Bryan Bende
>             Fix For: 0.5.1
>
>
> The following issue was reported:
> 016-02-17 15:23:11,814 ERROR [Timer-Driven Process Thread-7] o.apache.nifi.processors.hadoop.PutHDFS
PutHDFS[id=0575cb57-786c-45d9-b9ef-19c15cc01290] Failed to writ
> e to HDFS due to java.lang.NoClassDefFoundError: org/apache/http/Consts
> 2016-02-17 15:23:11,816 ERROR [Timer-Driven Process Thread-7] o.apache.nifi.processors.hadoop.PutHDFS
> java.lang.NoClassDefFoundError: org/apache/http/Consts
>         at org.apache.http.client.utils.URIBuilder.digestURI(URIBuilder.java:181)
~[httpclient-4.4.1.jar:4.4.1]
>         at org.apache.http.client.utils.URIBuilder.<init>(URIBuilder.java:82)
~[httpclient-4.4.1.jar:4.4.1]
>         at org.apache.hadoop.crypto.key.kms.KMSClientProvider.createURL(KMSClientProvider.java:368)
~[hadoop-common-2.6.2.jar:na]
> From looking into this, we have the following transitive dependencies from the hadoop
libraries nar:
> - net.java.dev.jets3t:jets3t:jar:0.9.0:compile
> [INFO] |  |  +- org.apache.httpcomponents:httpclient:jar:4.4.1:compile
> [INFO] |  |  +- org.apache.httpcomponents:httpcore:jar:4.1.2:compile
> I believe the 4.4.1 of httpclient is coming from the top level pom which has a dependency
management block that forces the client to 4.4.1 and doesn't for core to 4.4.1.
> If we look at httpcore 4.x branch it has the missing Consts class:
> https://github.com/apache/httpcore/tree/4.4.x/httpcore/src/main/java/org/apache/http
> and the 4.1.x branch does not:
> https://github.com/apache/httpcore/tree/4.1.x/httpcore/src/main/java/org/apache/http
> We either need to force both to 4.4.1, or force only the hadoop libraries nar to both
be 4.1.2 if that is what it normally brings in.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message